Download it now!
Bug 64891 - FORMATTING: Bibliography styles are forgotten on Writer restart
Summary: FORMATTING: Bibliography styles are forgotten on Writer restart
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: Other Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: dataLoss
: 117319 (view as bug list)
Depends on:
Blocks: Bibliography
  Show dependency treegraph
 
Reported: 2013-05-23 05:54 UTC by Dainius Masiliūnas
Modified: 2019-06-08 02:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dainius Masiliūnas 2013-05-23 05:54:03 UTC
Problem description:
Once the styles in Bibliography settings are defined for each level, they persist until Writer is closed. Upon reloading the document, however, only the first level and the heading styles are preserved. All the rest of the levels get assigned back to the "Bibliography 1" style. It's really annoying, given that there are 22 levels in total, and they have to be manually reassigned every time the document is reloaded.

Steps to reproduce:
1. Create a bibliography entry whose type is something else than an article (for example, book).
2. Add the bibliography itself, and in the Styles tab assign every level to the default style, and the heading to the heading style.
3. Save the file.
4. Close the file and reopen it.
5. Edit the bibliography and see the Styles tab.

Current behavior:
All but the heading and the first level revert to the "Bibliography 1" style.

Expected behavior:
All levels should retain their customised styles.


I'm using openSUSE 12.3, KDE 4.10.2, LibreOffice 3.6.3.2 (localised to Lithuanian).
Operating System: openSUSE
Version: 3.6.3.2 release
Comment 1 Dainius Masiliūnas 2014-03-26 17:21:25 UTC
Still present in 4.1.5.3.
Comment 2 Buovjaga 2014-10-29 11:45:10 UTC
I reproduce on Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: 4586a3f564600f1a0ce15a5cb98868b43bb9351e
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-29_07:28:16

Detailed steps for bibliography newbies like me:

Insert - Indexes & tables - Bibliography entry. From bibliog. database, select short names from the example data that comes with LO.

Insert - Indexes & tables - Indexes & tables - Type: Bibliography / Styles tab for style assignment
Comment 3 Alex Thurgood 2015-01-03 17:39:23 UTC Comment hidden (no-value)
Comment 4 QA Administrators 2016-01-17 20:04:42 UTC Comment hidden (obsolete)
Comment 5 Dainius Masiliūnas 2016-01-17 20:59:54 UTC
It still happens in 5.0.4.2, openSUSE Tumbleweed, without any changes in behaviour.
Comment 6 QA Administrators 2017-09-01 11:19:44 UTC Comment hidden (obsolete)
Comment 7 Dainius Masiliūnas 2017-09-01 16:13:20 UTC
Still happens in 5.4.0.3 on openSUSE Tumbleweed, no change in behaviour.
Comment 8 Buovjaga 2018-06-07 14:27:03 UTC
*** Bug 117319 has been marked as a duplicate of this bug. ***
Comment 9 Buovjaga 2018-06-07 14:27:53 UTC
Bumping priority & severity due to data loss aspect.
Comment 10 QA Administrators 2019-06-08 02:53:12 UTC
Dear Dainius Masiliūnas,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug